%define module Crypt-OpenSSL-RSA

Name: perl-%module
Version: 0.25
Release: alt1

Summary: RSA encoding and decoding, using the openSSL libraries
License: Perl
Group: Development/Perl

URL: %CPAN %module
Source: http://www.cpan.org/modules/by-module/Crypt/%module-%version.tar.gz

# Not autodetectable (required inside eval)
Requires: perl-Crypt-OpenSSL-Bignum

# Automatically added by buildreq on Wed Jul 25 2007
BuildRequires: libssl-devel perl-Crypt-OpenSSL-Bignum perl-Crypt-OpenSSL-Random perl-devel

%description
Crypt::OpenSSL::RSA provides the ability to RSA encrypt strings which
are somewhat shorter than the block size of a key. It also allows for
decryption, signatures and signature verification.

%prep
%setup -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/Crypt/OpenSSL
%perl_vendor_autolib/Crypt/OpenSSL
%perl_vendor_man3dir/*
%exclude /.perl.req

%changelog
* Wed Jul 25 2007 Victor Forsyuk <force@altlinux.org> 0.25-alt1
- 0.25

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.23-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Tue Jun 13 2006 Victor Forsyuk <force@altlinux.ru> 0.23-alt1
- 0.23

* Wed Nov 16 2005 Victor Forsyuk <force@altlinux.ru> 0.22-alt1
- Initial build.
